# Generated by rust2rpm 25
%bcond_without check

# prevent library files from being installed
%global __cargo_is_lib() 0

%global crate helvum

Name:           helvum
Version:        0.5.1
Release:        %autorelease
Summary:        GTK patchbay for pipewire

SourceLicense:  GPL-3.0-only
# Apache-2.0 OR MIT
# GPL-3.0-only
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-only AND (Apache-2.0 OR MIT) AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://gitlab.freedesktop.org/pipewire/helvum
Source:         %{url}/-/archive/%{version}/helvum-%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  appstream

%global _description %{expand:
A GTK patchbay for pipewire.}

%description %{_description}

%prep
%autosetup -n %{crate}-%{version} -p1
# build cargo project directly with cargo
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%meson
%meson_build

%install
%cargo_install
%meson_install

%if %{with check}
%check
%cargo_test
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pipewire.Helvum.desktop
appstreamcli validate --no-net \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.pipewire.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.pipewire.Helvum*.svg
%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%changelog
%autochangelog
